
Foreman - Feature #10897

As a developer I would like KS scripts for Atomic Hosts for both RHEL Atomic / Custom Atomic

06/22/2015 06:43 AM - Anonymous

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Templates   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/communit

y-templates/pull/190

  

Description

Related issues:

Related to Foreman - Tracker #10060: Atomic Content & Provisioning Rejected

Associated revisions

Revision 133825c7 - 09/11/2015 03:27 AM - Daniel Lobato Garcia

Fixes #10897 - Fedora/RHEL Atomic kickstart and PXE

New templates to allow Atomic provisioning through kickstart and PXE.

The original PXELinux template has been modified to accept the --repo

parameter when the name of the OS matches Atomic. Kickstart fetches

ostree from the installation media dynamically finding the --ref from

the OS version in Foreman.

Closes GH-190

History

#1 - 06/22/2015 06:44 AM - Anonymous

- Related to Tracker #10060: Atomic Content & Provisioning added

#2 - 06/22/2015 06:44 AM - Anonymous

- Related to deleted (Tracker #10060: Atomic Content & Provisioning)

#3 - 06/22/2015 06:44 AM - Anonymous

- Related to Tracker #10060: Atomic Content & Provisioning added

#4 - 06/22/2015 07:39 AM - Marek Hulán

- Category set to Templates

#5 - 07/10/2015 10:51 AM - Daniel Lobato Garcia

- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/community-templates/pull/190 added

- Pull request deleted ()

#6 - 09/11/2015 03:28 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

- translation missing: en.field_release set to 63
